Subject: Re: fLex and bYacc revisited....
From: [email-masked] (Jason Alan Nordwick)

22 Feb 1998 17:36:38 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Sean McBride <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Sean McBride, on Sat 2/21/1998, wrote the following:
> 
> I do have a good reason... I am trying to get the code that results from
> fLex and bYacc to compile in an existing COM application... therefore, I
> am trying to import just the libraries I need to get it to compile then
> do the collisions manually... do you know of anything that is already
> done that may speed this process up ... or maybe some lex yacc clones
> that produce out of the box MS VC++ compilable code...?
> 

What collisions are there ?  Different lex implementations have different
code in the libraries.  Almost all have main().  Many have helpful
routines that support other features, such as yymore(), yyless(),
yywrap(), and REJECT.  Yacc implementations also vary, but most
almost always contain main() and yyerror().

The only two that you will probably have to deal with would be
yywrap() and yyerror(), but if you put them in the third sections
of lex and yacc (respectively) it will be no problem:

  int yywrap ( )           { return 1; }
      yyerror( char *msg ) { fprintf( stderr, "%s\n", msg ); }

There are the defaults.

I don't know if this helps, but I would like to know what the problem
is and I have to soon port an application I wrote for work to win32
it is has 3 lexers and 2 parsers so I would really like to know how you
solved the problems.

Thanks
Jay

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".